Bug 317691 - orinoco driver sucks
orinoco driver sucks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 21:33 EDT by Matthew Miller
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.23.1-49.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 17:11:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
handle scan results better (20.51 KB, patch)
2007-10-08 22:30 EDT, Dan Williams
no flags Details | Diff
(take 2) handle scan results better (21.27 KB, patch)
2007-10-10 23:53 EDT, Dan Williams
no flags Details | Diff

  None (edit)
Description Matthew Miller 2007-10-03 21:33:44 EDT
As discussed here:

https://www.redhat.com/archives/fedora-devel-list/2007-October/msg00065.html

On Tue, Oct 02, 2007 at 07:59:10AM -0400, Dan Williams wrote:
> I think there's a lot of room for improvement in the driver.  It's
> pretty racy with scan results.  First, reading of scan results should be
> decoupled from the actual process of scanning, and scan results should
> be aged before being dropped completely.  There's a fairly large window
> of time where scan results won't be available to the caller even though
> a successful scan could have happened a second ago.  The scan_inprogress
> flag shouldn't have any semantics leak out to userspace.

Having this improved would make me really happy. Thanks!
Comment 1 Dan Williams 2007-10-08 22:30:41 EDT
Created attachment 220531 [details]
handle scan results better

Candidate patch; will send to linux-wireless
Comment 2 Dan Williams 2007-10-08 22:32:59 EDT
Matt; any chance you could test the patch out?  If you'd rather get built
modules or a test kernel, I can poke linville to see if he can put one together.
Comment 3 Matthew Miller 2007-10-09 07:37:36 EDT
I have a busy week, so I can test it today or tomorrow if I have a built module
or kernel; by the end of the week building it myself.
Comment 4 John W. Linville 2007-10-10 14:34:30 EDT
Dan, are there some orinoco.h bits missing from the patch?  It seems to refer 
to orinoco_private fields that don't exist...?
Comment 5 Dan Williams 2007-10-10 23:53:31 EDT
Created attachment 223851 [details]
(take 2) handle scan results better

include the orinoco.h bits this time
Comment 6 John W. Linville 2007-10-11 14:27:11 EDT
Rawhide-based test kernels building now:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=191632

Please post test results here...thanks!
Comment 7 Matthew Miller 2007-10-13 23:25:16 EDT
Much, much better. I can switch back and forth between networks with nm-applet
with no trouble, and iwlist scan hasn't failed on me yet. Anything more in
specific I should test?

Thanks!
Comment 8 Dan Williams 2007-10-14 13:24:55 EDT
Yeah, can you revert back to the older driver/kernel and verify that the problem
is still present one more time before I send the final bits upstream?

Thanks!
Comment 9 Matthew Miller 2007-10-14 14:31:36 EDT
Yeah, kernel-2.6.23-6.fc8 doesn't work.
Comment 10 Dan Williams 2007-11-06 11:11:42 EST
Linville has queued this up for 2.6.25 FYI.  Note that both airo and orinoco
will apparently only show the connected AP in scan results when they are locked
on a particular BSSID, which is what wpa_supplicant tells them to do.  Not too
much we can do about that though.  So after you're connected for a while, you'll
only see one AP in the scan list until you disconnect.
Comment 11 Matthew Miller 2007-11-06 11:24:13 EST
Might be nice, then, for nm-applet to have a "disconnect and rescan" menu
option. I suppose that's a different bug request. :)
Comment 12 John W. Linville 2007-11-08 17:11:13 EST
This patch has been merged upstream.  It should appear in 
kernel-2.6.23.1-49.fc8 (or later) as well.

Note You need to log in before you can comment on or make changes to this bug.